/**
 * Alipay.com Inc.
 * Copyright (c) 2004-2017 All Rights Reserved.
 */
package com.alipay.fc.cschat.web.openapi.controller.test;

import org.springframework.web.multipart.MultipartFile;

/**
 * @author fushan.cfs
 * @version $Id: FileContent.java, v 0.1 2017年09月06日 下午2:29 alps Exp $
 */
public class FileContent {

    /** 文件类型 图片（image）、语音（voice）、视频（video）普通文件(file) */
    private String type;

    /** 消息内容 */
    private MultipartFile file;

    /** 文件的base4编码 （用于在Web端有的时候不方便获取file内容的时候使用) */
    private String base64File;

    /** 文件名字 */
    private String fileName;

    /**
     * 检测当前内容是否符合上传文件规则
     * @return
     */
    public boolean valid(){
        return !(type == null || fileName == null || (file == null && base64File == null));
    }

    /**
     * Getter method for property <tt>base64File</tt>.
     *
     * @return property value of base64File
     */
    public String getBase64File() {
        return base64File;
    }

    /**
     * Setter method for property <tt>base64File</tt>.
     *
     * @param base64File value to be assigned to property base64File
     */
    public void setBase64File(String base64File) {
        this.base64File = base64File;
    }

    /**
     * Getter method for property <tt>type</tt>.
     *
     * @return property value of type
     */
    public String getType() {
        return type;
    }

    /**
     * Setter method for property <tt>type</tt>.
     *
     * @param type value to be assigned to property type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * Getter method for property <tt>file</tt>.
     *
     * @return property value of file
     */
    public MultipartFile getFile() {
        return file;
    }

    /**
     * Setter method for property <tt>file</tt>.
     *
     * @param file value to be assigned to property file
     */
    public void setFile(MultipartFile file) {
        this.file = file;
    }

    /**
     * Getter method for property <tt>fileName</tt>.
     *
     * @return property value of fileName
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Setter method for property <tt>fileName</tt>.
     *
     * @param fileName value to be assigned to property fileName
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

}