/**
 * Alipay.com Inc.
 * Copyright (c) 2004-2017 All Rights Reserved.
 */
package com.alipay.fc.cschat.web.openapi.controller.test;

/**
 * @author fushan.cfs
 * @version $Id: FileTypeEnum.java, v 0.1 2017年09月06日 下午2:41 alps Exp $
 */
public enum FileTypeEnum {
    /** 图片类型文件 */
    IMAGE("image", "图片类型"),
    /** 语音类型文件 */
    VOICE("voice", "语音类型"),
    /** 小视频类型文件 */
    VIDEO("video", "小视频类型"),
    /** 普通文件 */
    FILE("file", "普通文件");

    private String fileType;
    private String fileDesc;

    FileTypeEnum(String fileType, String fileDesc) {
        this.fileType = fileType;
        this.fileDesc = fileDesc;
    }

    /**
     *
     * @param fileType
     * @return
     */
    public static FileTypeEnum getByFileType(String fileType) {
        for (FileTypeEnum typeEnum : FileTypeEnum.values()) {
            if (typeEnum.getFileType().equals(fileType)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * Getter method for property <tt>fileDesc</tt>.
     *
     * @return property value of fileDesc
     */
    public String getFileDesc() {
        return fileDesc;
    }

    /**
     * Setter method for property <tt>fileDesc</tt>.
     *
     * @param fileDesc value to be assigned to property fileDesc
     */
    public void setFileDesc(String fileDesc) {
        this.fileDesc = fileDesc;
    }

    /**
     * Getter method for property <tt>fileType</tt>.
     *
     * @return property value of fileType
     */
    public String getFileType() {
        return fileType;
    }

    /**
     * Setter method for property <tt>fileType</tt>.
     *
     * @param fileType value to be assigned to property fileType
     */
    public void setFileType(String fileType) {
        this.fileType = fileType;
    }
}