/**
 * Alipay.com Inc.
 * Copyright (c) 2004-2017 All Rights Reserved.
 */
package com.alipay.fc.cschat.web.openapi.controller.test;

import com.alibaba.common.lang.StringUtil;
import com.alibaba.fastjson.JSONObject;
import com.alipay.fc.cschat.common.service.integration.antcloud.KMSClient;
import com.alipay.fc.cschat.common.service.integration.ocs.OCSFacadeClient;
import com.alipay.fc.cschat.common.util.logger.LoggerUtil;
import com.alipay.fc.cschat.core.model.constants.OuterServiceConstants;
import com.alipay.web.mvc.common.util.uribroker.URIBrokerManager;
import com.antgroup.antcloud.api.kms.KMSKey;
import org.apache.commons.io.IOUtils;
import org.apache.log4j.Logger;
import org.springframework.osgi.context.annotation.OsgiReference;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.regex.Pattern;

/**
 * openapi消息中转处理类
 * @author fushan.cfs
 * @version $Id: OuterServiceIsvControllerTest.java, v 0.1 2017年10月09日 下午8:29 fushan.cfs Exp $
 */
public class OuterServiceIsvControllerTest {

    /**
     * test for send msg to forwardMessage
     * @param request
     * @param response
     * @throws Exception
     */
    public void sendOuterMsg(String requestContentStr)

        String tntInstId = ""; //租户ID
        String scene = ""; //聊天窗编码
        String key = ""; //密钥
        CustomerService customerService = new CustomerService(tntInstId, scene, key, "https://cschat.cloud.alipay.com");

        JSONObject content = JSONObject.parseObject(requestContentStr);
        JSONObject jsonObject = customerService.forwardMessage(content);
    }

    /**
     * 接收云客服发送的消息
     * @param request
     * @param response
     * @throws IOException
     */
    @RequestMapping(value = "/receiveMsg", method = RequestMethod.POST)
    public void sendRecvMsg(final HttpServletRequest request, final HttpServletResponse response) throws IOException {
        String requestContentStr = IOUtils.toString(request.getInputStream(), "utf-8");
        
        response.setCharacterEncoding("utf-8");
        response.setContentType("application/json");
        PrintWriter writer = response.getWriter();
        writer.write("success");
        writer.close();
    }

    /**
     * 上传文件
     * @param fileContent
     */
    public void uploadFile(FileContent fileContent)
            throws IOException {

        String tntInstId = ""; //租户ID
        String scene = ""; //聊天窗编码
        KMSKey key = "";//密钥
        CustomerService customerService = new CustomerService(tntInstId, scene, key,
                "https://cschat.cloud.alipay.com");

        try {
            String jsonObject;
            if (StringUtil.isNotBlank(fileContent.getBase64File())) {
                jsonObject = customerService.uploadBase64Media(fileContent);
            }else{
                jsonObject = customerService.uploadMedia(fileContent);
            }
            return jsonObject;
        } catch (Exception e) {
            return null;
        }
    }

    /**
     * 获取文件临时访问链接
     * @param fileKey //文件KEY
     * @throws IOException
     */
    public String fetchFile(String fileKey) throws IOException {

        String tntInstId = ""; //租户ID
        String scene = ""; //聊天窗编码
        String fileKey = fileKey;
        KMSKey key = "";//密钥
        CustomerService customerService = new CustomerService(tntInstId, scene, key,
                "https://cschat.cloud.alipay.com");

        try {
            return customerService.fetchFileUrl(fileKey);
        } catch (IOException e) {
            return null;
        }
    }

}















