package com.alipay.fc.cschat.web.openapi.controller.test;

import com.alipay.fc.cschat.core.model.enums.SourceTypeEnum;

/**
 * 消息转发客户端所需的请求参数
 *
 * @author alps
 * @version $Id: RequestInfo.java, v 0.1 17/3/13 下午4:42 alps Exp $$
 */
public class RequestInfo {

    /** 服务器url */
    private String url;

    /** 场景码 */
    private String scene;

    /** 租户id */
    private String tntInstId;

    /** 请求内容 */
    private String requestContent;

    /** 密钥 */
    private byte[] key;

    /** 请求来源 */
    private String src = "outerservice";

    /** 请求时间戳 */
    private long timestamp;

    /** 签名信息 */
    private String digest;

    public void constructUrl(String controllerPath) {
        this.url = this.url + CustomerServiceConfig.HOST_URL + controllerPath + "?tntInstId=" + this.getTntInstId() + "&scene=" + this.getScene() + "&digest=" + digest
                + "&timestamp=" + this.getTimestamp() + "&src=" + this.getSrc();
    }


    /**
     * Getter method for property <tt>url</tt>.
     *
     * @return property value of url
     */
    public String getUrl() {
        return url;
    }

    /**
     * Setter method for property <tt>url</tt>.
     *
     * @param url value to be assigned to property url
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * Getter method for property <tt>scene</tt>.
     *
     * @return property value of scene
     */
    public String getScene() {
        return scene;
    }

    /**
     * Setter method for property <tt>scene</tt>.
     *
     * @param scene value to be assigned to property scene
     */
    public void setScene(String scene) {
        this.scene = scene;
    }

    /**
     * Getter method for property <tt>tntInstId</tt>.
     *
     * @return property value of tntInstId
     */
    public String getTntInstId() {
        return tntInstId;
    }

    /**
     * Setter method for property <tt>tntInstId</tt>.
     *
     * @param tntInstId value to be assigned to property tntInstId
     */
    public void setTntInstId(String tntInstId) {
        this.tntInstId = tntInstId;
    }

    /**
     * Getter method for property <tt>requestContent</tt>.
     *
     * @return property value of requestContent
     */
    public String getRequestContent() {
        return requestContent;
    }

    /**
     * Setter method for property <tt>requestContent</tt>.
     *
     * @param requestContent value to be assigned to property requestContent
     */
    public void setRequestContent(String requestContent) {
        this.requestContent = requestContent;
    }

    /**
     * Getter method for property <tt>key</tt>.
     *
     * @return property value of key
     */
    public byte[] getKey() {
        return key;
    }

    /**
     * Setter method for property <tt>key</tt>.
     *
     * @param key value to be assigned to property key
     */
    public void setKey(byte[] key) {
        this.key = key;
    }

    /**
     * Getter method for property <tt>src</tt>.
     *
     * @return property value of src
     */
    public String getSrc() {
        return src;
    }

    /**
     * Setter method for property <tt>src</tt>.
     *
     * @param src value to be assigned to property src
     */
    public void setSrc(String src) {
        this.src = src;
    }

    /**
     * Getter method for property <tt>timestamp</tt>.
     *
     * @return property value of timestamp
     */
    public long getTimestamp() {
        return timestamp;
    }

    /**
     * Setter method for property <tt>timestamp</tt>.
     *
     * @param timestamp value to be assigned to property timestamp
     */
    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * Getter method for property <tt>digest</tt>.
     *
     * @return property value of digest
     */
    public String getDigest() {
        return digest;
    }

    /**
     * Setter method for property <tt>digest</tt>.
     *
     * @param digest value to be assigned to property digest
     */
    public void setDigest(String digest) {
        this.digest = digest;
    }

}